Description: Link against -ldl
  Link libcppunit with -ldl (thanks, Aurelien Jarno).  
  Add test case to check linking.  
Author: Steve M. Robbins <smr@debian.org>
Bug-Debian: http://bugs.debian.org/338252
Forwarded: no
Last-Update: 2011-12-09

--- /dev/null
+++ cppunit-1.12.1/src/cppunit/t_link.cpp
@@ -0,0 +1,8 @@
+/* This program simply tests that we can link against
+ * libcppunit.
+ */
+
+int main( int ac, char* av[] )
+{
+    return 0;
+}
--- cppunit-1.12.1.orig/src/cppunit/Makefile.am
+++ cppunit-1.12.1/src/cppunit/Makefile.am
@@ -63,5 +63,11 @@ libcppunit_la_SOURCES = \
 
 libcppunit_la_LDFLAGS= \
  -no-undefined -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) \
- -release $(LT_RELEASE)
+ -release $(LT_RELEASE) @LIBADD_DL@
 
+TESTS = t_link
+
+check_PROGRAMS = t_link
+
+t_link_SOURCES = t_link.cpp
+t_link_LDADD = libcppunit.la
